Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Hashtabelle<Typ extends Schluesselobjekt>

    java.lang.Object
      sum.strukturen.Hashtabelle<Typ>

All Implemented Interfaces:
  Serializable

    public class Hashtabelle<Typ extends Schluesselobjekt>

extends Object
implements Serializable

Eine Hashtabelle enthält Schlüsselobjekte, um nach dem Schlüssel suchen zu können.
Sie kann als Hashtabelle mit einem Inhaltstyp, der Ordnungsobjekt implementiert, deklariert werden. Wird dieser weggelassen, liefert die Anfrage suche ein Object und es wird Typkonversion nötig.

Version:
  7.5 vom 29.10.2013
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Hashtabelle()` Eine neue leere Hashtabelle mit der Größe 11 wird angelegt
`Hashtabelle(int pGroesse)` Eine neue leere Hashtabelle wird angelegt

Method Summary
`void` | `entferneAlleElemente()` Alle Schlüsselobjekte werden aus der Hashtabelle entfernt
`void` | `fuegeEin(Schluesselobjekt pSchluesselobjekt)` Ein neues Schlüsselobjekt wird eingefügt
`void` | `loesche(Object pSchluessel)` Ein Schlüsselobjekt wird aus der Hashtabelle entfernt
`Typ` | `suche(Object pSchluessel)` Ein gesuchtes Schlüsselobjekt wird zurückgegeben bzw.null, wenn es nicht vorhanden ist
`String` | `toString()` Ein Stringrepräsentation der Hashtabelle wird zurückgegeben

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Hashtabelle

    public Hashtabelle()

  Eine neue leere Hashtabelle mit der Größe 11 wird angelegt

### Hashtabelle

    public Hashtabelle(int pGroesse)

  Eine neue leere Hashtabelle wird angelegt

  Parameters:
    `pGroesse` - die Größe der neuen Hashtabelle

Method Detail

### entferneAlleElemente

    public void entferneAlleElemente()

  Alle Schlüsselobjekte werden aus der Hashtabelle entfernt

### fuegeEin

    public void fuegeEin(Schluesselobjekt pSchluesselobjekt)

  Ein neues Schlüsselobjekt wird eingefügt

  Parameters:
    `pSchluesselobjekt` - das Schlüsselobjekt, das eingefügt wird

### loesche

    public void loesche(Object pSchluessel)

  Ein Schlüsselobjekt wird aus der Hashtabelle entfernt

  Parameters:
    `pSchluessel` - der Schlüssel, dessen Schlüsselobjekt entfernt werden soll

### suche

    public Typ suche(Object pSchluessel)

  Ein gesuchtes Schlüsselobjekt wird zurückgegeben bzw.null, wenn es nicht vorhanden ist

  Parameters:
    `pSchluessel` - der Schlüssel, dessen zugehöriges Schlüsselobjekt zurückgegeben werden soll
  Returns:
    das gesuchte Schlüsselobjekt oder null, wenn es nicht vorhanden ist

### toString

    public String toString()

  Ein Stringrepräsentation der Hashtabelle wird zurückgegeben

  Overrides:
    `toString` in class `Object`
  Returns:
    einen String, der in mehreren Zeilen die Hashtabelle darstellt

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD